import Vue from 'vue'
import VueRouter from 'vue-router'
import ViewFile from '@/components/view_file'

Vue.use(VueRouter)

const routes = [
  {
    path: '/',
    name: 'home',
    component: ViewFile
  },
  {
    path: '/preview/:id',
    name: 'preview',
    component: ViewFile,
    props: true
  }
]

const router = new VueRouter({
  routes
})

export default router